List locations
curl --request GET \
--url https://api.halth.com/v1/organisations/{organisationId}/locationsimport requests
url = "https://api.halth.com/v1/organisations/{organisationId}/locations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.halth.com/v1/organisations/{organisationId}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"timeZone": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"displayName": "<string>",
"suggestedTaxIdentifier": "<string>",
"bookingCustomText": "<string>",
"businessId": "<string>",
"business": {
"id": "<string>",
"name": "<string>",
"settings": {
"autoReconciliationEnabled": true,
"autoInviteClientsEnabled": true
},
"createdAt": "2023-11-07T05:31:56Z",
"taxIdentifier": "<string>",
"countryCode": "<string>",
"merchantId": "<string>",
"capabilities": [
{}
],
"events": {},
"websiteUrl": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"countryCode": "<string>"
}
},
"email": "<string>",
"registrations": [
{
"medicare": {
"minorId": "<string>",
"prodaLocationId": "<string>",
"providerAgreementSubmissionUrl": "<string>",
"isUsingOtherClaimSoftware": true
},
"phi": {
"phiLocationId": "<string>",
"status": "<string>"
}
}
],
"organisationId": "<string>",
"organisation": {
"id": "org_31XEcUshz1ymodA14HALnyP48g1",
"name": "Acme Healthcare",
"slug": "acme-healthcare",
"createdAt": "2023-01-15T10:30:00Z",
"bookingsEnabled": true,
"brandImageUrl": "https://example.com/brand-image.png",
"wordmarkImageUrl": "https://example.com/wordmark-image.png",
"websiteUrl": "https://example.com"
},
"isBookable": true
}
],
"page": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}Location
List locations
Get a paged list of locations for an organisation
GET
/
v1
/
organisations
/
{organisationId}
/
locations
List locations
Path Parameters
Query Parameters
Page number
Required range:
1 <= x <= 9007199254740991Example:
1
Number of items per page
Required range:
1 <= x <= 200Example:
10
Available options:
business, organisation, registrations, isBookable ⌘I
